List participants
curl --request GET \
--url http://api.trio.com.br/biometrics/participants \
--header 'Authorization: Basic <encoded-value>'import requests
url = "http://api.trio.com.br/biometrics/participants"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('http://api.trio.com.br/biometrics/participants', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"avatar": "https://cdn.raidiam.io/directory-ui/brand/obbrazil/0.2.0.112/favicon.svg",
"id": "019fa021-d9f8-a4b4-0683-068db83a1f65",
"integration_id": "019fa021-d9f9-7fa9-6f53-afc7b32f7b93",
"is_enrollment_available": true,
"ispb": "12345678",
"name": "Mock Bank",
"slug": "mock-bank",
"status": "active",
"unavailable": false
}
]
}{
"errors": [
{
"detail": "null value where string expected",
"source": {
"pointer": "/data/attributes/petName"
},
"title": "Invalid value"
}
]
}{
"errors": [
{
"detail": "null value where string expected",
"source": {
"pointer": "/data/attributes/petName"
},
"title": "Invalid value"
}
]
}Biometrics (Pix)
List participants
Lists participants for a device with optional enrollment info.
GET
/
biometrics
/
participants
List participants
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Query Parameters
Device ID. When provided, enrollments for this device are included in the response.
List of ISPBs to filter by
Response
Participants
- Participants_response
- Participants_with_enrollments_response
When device_id is provided, returns participants with enrollment info. Otherwise, returns participants without enrollment info.
Show child attributes
Show child attributes
⌘I

